При апгрейде с xubuntu 13.04 на 13.10 заблокировались репозитории

Автор Рарогъ, октября 27, 2013, 15:53:02

« предыдущая - следующая »

Рарогъ

Использовал дома xubuntu 13.04. Естественно, что и программы были не только из стандартного репозитория. Ну например игра Ризом, которая установилась из менеджера приложений в 13.04, но является условно-платной и поэтому для нее был прописан свой репозиторий. Так вот после обновления на 13.10 эти репозитории были заблокированы... и что теперь делать не понятно.
В гуишной оболочке эти репозитории видны, но сделать с ними я ничего не могу... Ни удалить, ни исправить, ни включить... (во вложении снимок экрана)

Подскажите, как быть? Есть еще несколько таких репозиториев.... хотелось бы использовать все программы, к которым уже успел привыкнуть )))))

xf∞

обычно, репозитории от предыдущей версии несовместимы с последующей.
попробуйте заново добавить.
Делаю нескучные обои и рисую темы для xfce.

Рарогъ

Попробовал, но получил сообщение, что ввожу не корректный формат команды.... один репозиторий добавился...(для явы), Остальные никак.... Может что-то изменилось в формате комманд? Не все же используют только стандартные репозитории... Как же до 13.10 обновления проходили?

VJM

Если мне не изменяет разум, то надо галочки поставить напротив тех репозиториев.

Надпись о блокировке это всего лишь комментарий, его легко удалить кнопкой "изменить".
Для точного ответа нужен точный вопрос.

Хочешь такой userbar?

butjapka

октября 29, 2013, 07:27:32 #4 Последнее редактирование: октября 29, 2013, 07:31:45 от butjapka
Цитата: Рарогъ от октября 27, 2013, 15:53:02
В гуишной оболочке эти репозитории видны, но сделать с ними я ничего не могу... Ни удалить, ни исправить, ни включить... (во вложении снимок экрана)

Подскажите, как быть? Есть еще несколько таких репозиториев.... хотелось бы использовать все программы, к которым уже успел привыкнуть )))))

Попробуйте в терминале
sudo synaptic
или alt+F2 и в открывшимся окне
gksu synaptic
и далее воспользоваться например  таким советом, и на всякий случай, может пригодится Персональные архивы пакетов (PPA)
Так же можно редактировать файлы /etc/apt/sources.list.d/, изменяя название дистрибутива, как описано по ссылке выше, в них (требуются права root)

VJM

Галочки в Источниках поставьте просто и все.

Сторонние репозитории всегда блокируются при обновлении чтобы не притянуть кривые\не официальные обновления дистрибутива.
Для точного ответа нужен точный вопрос.

Хочешь такой userbar?

Рарогъ

Галочки в Источниках поставьте просто и все.
Я же писал выше, что ничего сделать с ними НЕ МОГУ!!! НИ ГАЛОЧЕК ПОСТАВИТЬ, НИ УДАЛИТЬ, НИ ИЗМЕНИТЬ!!!!!
А вот с синаптиком пороюсь! Благодарю ))))
З.Ы. При повторном подключении сторонних репозиториев галочки установились, обновление прошло, так что оказалось нужно повторно добавить репозитории. Видимо дело в ключах.
А вот что делать с платными репами? вернее типа игры в Ризом. Он ставился из центра приложений и сам добавлял свой репозиторий. В новом центре приложений я ризома не нашел..... Равно как "Мастер PDF Editor"

VJM

Цитата: Рарогъ от октября 29, 2013, 12:32:32
Я же писал выше, что ничего сделать с ними НЕ МОГУ!!! НИ ГАЛОЧЕК ПОСТАВИТЬ, НИ УДАЛИТЬ, НИ ИЗМЕНИТЬ!!!!!

Понятно. По скриншоту это не видно.

Synaptic работает с тем же менеджером источников как и вся система.

Лучше руками в конфигах поправить или еще есть вариант y-ppa-manager, если удастся его поставить без подключения его репозитория.
Для точного ответа нужен точный вопрос.

Хочешь такой userbar?

butjapka

Цитата: VJM от октября 29, 2013, 13:14:13
или еще есть вариант y-ppa-manager, если удастся его поставить без подключения его репозитория.

Можно скачать deb пакет с launchpad, выбрав свою версию дистрибутива из списка

Рарогъ

Цитата: butjapka от октября 29, 2013, 13:27:16
Можно скачать deb пакет с launchpad, выбрав свою версию дистрибутива из списка

Скачал, результат на скрине.
Может проблема в том, что система 64бит?

xf∞

если система 64-битная, то можете поставить пакет ialibs32. так, на всякий случай. потом пригодится.
Делаю нескучные обои и рисую темы для xfce.

VJM

октября 29, 2013, 19:31:14 #11 Последнее редактирование: октября 29, 2013, 19:37:45 от VJM
Цитата: xf∞ от октября 29, 2013, 18:21:27
если система 64-битная, то можете поставить пакет ialibs32. так, на всякий случай. потом пригодится.

Его вроде выпилили из 13.10, как устаревший.

В следствии чего не пашут Гуголь земля и Тим вьюер

А вообще пакеты без реп можно брать тут http://pkgs.org/
Для точного ответа нужен точный вопрос.

Хочешь такой userbar?

VJM

Цитата: Рарогъ от октября 29, 2013, 17:52:35
Скачал, результат на скрине.
Может проблема в том, что система 64бит?

Давно добавлен multiarch уе битность не важна.

Просто нужен пакет yad свежее. У меня 0.23.10-1 версия.
Для точного ответа нужен точный вопрос.

Хочешь такой userbar?